<template>
<div class="container">
  <div class="row">
    <div class="col m12 card-panel">

      <form @submit.prevent="agregarUsuario">
          <div class="row">
            <div class="col m4">
              <label>Nombre</label>
              <input type="text" v-model="nombre">
            </div> 
          </div>

          <div>
            <div class="col m4">
              <label>Descripcion</label>
              <input type="text" v-model="descripcion">
            </div>
          </div>

          <div class="row">
            <div class="col m4">
              <label>Edad</label>
              <input type="number" v-model="edad">
            </div>
          </div>

        <div class="row">
          <button type="submit" class="btn indigo darken-4">AGREGAR USUARIO <i class="material-icons right">add_circle</i></button>
        </div>
      </form> 
    </div>
  </div>

  <div class="row">
    <div class="col m12">
      <table class="table bordered striped">
        <thead>
          <tr>
            <th>Nombre</th>
            <th>Descripcion</th>
            <th>Precio</th>
            <th>Editar</th>
            <th>Eliminar</th>
          </tr>
        </thead>
        <tbody>
            <tr v-for="usuario in usuarios" v-bind:key="usuario">
              <td>{{usuario.nombre}}</td>
              <td>{{usuario.descripcion}}</td>
              <td>{{usuario.precio}}</td>
              <td><a href="#!"><i class="material-icons">create</i></a></td>
              <td><a href="#!"><i class="material-icons">delete</i></a></td>
            </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>


</template>

<script>
import M from 'materialize-css'
export default {
  name: 'App',
  data(){
    return {
      nombre: '',
      apellido: '',
      precio: 0,
      usuarios: [],

      select_instances: []
    }
  },
  mounted()
  {
    var elems = document.querySelectorAll('select');
    this.select_instances = M.FormSelect.init(elems, null);
  },
  methods: {
    agregarUsuario()
    {
      var data = {
        nombre: this.nombre,
        apellido: this.apellido,
        precio: this.precio,
      };
      this.usuarios.push(data);
      this.nombre = '';
      this.apellido = '';
      this.precio = 0;
    },
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
